---
title: Event Simulation and Reconstruction
...

An essential aspect of particle physics experiments is the accurate simulation of the physics taking place during the experiment. This simulation can be roughly broken into two areas. The first is the simulation of the "hard scatter", or the energetic parton-parton interaction that seeds an event. The second is the simulation of how the particles resulting from the hard scatter propagate through the detector. The result of this simulation is a series of readings from different detector subsystems that can be collated and run through reconstruction algorithms to obtain a set of simulated events that can be compared with real data observed in the detector. Comparing simulation to observation is the key to drawing conclusions about the fundamental physics occurring in the experiment. In particular, disagreement between the two could be an indication of new physics, but could also point out mis-modeling of the detector or simply bugs in any part of this software chain. Therefore, rigorous examination and crosschecks must be applied to instill confidence in the accuracy of the simulation.

## Monte Carlo Event Generation

Event generator software is used to simulate the initial hard-scatter of partons from the colliding protons. 

## Detector Response Simulation

## Event Reconstruction
